com.fasterxml.jackson.databind.jsontype

## Class SubtypeResolver

- java.lang.Object
- - com.fasterxml.jackson.databind.jsontype.SubtypeResolver

- Direct Known Subclasses:
    StdSubtypeResolver

      public abstract class SubtypeResolver
      extends Object

  Helper object used for handling registration on resolving of super-types to sub-types.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubtypeResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Collection<NamedType>` | `collectAndResolveSubtypes(AnnotatedClass basetype, MapperConfig<?> config, AnnotationIntrospector ai)` Method for finding out all reachable subtypes for given type.
    `abstract Collection<NamedType>` | `collectAndResolveSubtypes(AnnotatedMember property, MapperConfig<?> config, AnnotationIntrospector ai, JavaType baseType)` Method for finding out all reachable subtypes for a property specified by given element (method or field)
    `abstract void` | `registerSubtypes(Class<?>... classes)`
    `abstract void` | `registerSubtypes(NamedType... types)` Method for registering specified subtypes (possibly including type names); for type entries without name, non-qualified class name as used as name (unless overridden by annotation).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubtypeResolver

          public SubtypeResolver()

  - ### Method Detail

    - #### registerSubtypes

          public abstract void registerSubtypes(NamedType... types)

      Method for registering specified subtypes (possibly including type names); for type entries without name, non-qualified class name as used as name (unless overridden by annotation).

    - #### registerSubtypes

          public abstract void registerSubtypes(Class<?>... classes)

    - #### collectAndResolveSubtypes

          public abstract Collection<NamedType> collectAndResolveSubtypes(AnnotatedMember property,
                                                        MapperConfig<?> config,
                                                        AnnotationIntrospector ai,
                                                        JavaType baseType)

      Method for finding out all reachable subtypes for a property specified by given element (method or field)
      Parameters:
        `baseType` - Effective property base type to use; may differ from actual type of property; for structured types it is content (value) type and NOT structured type.
      Since:
        2.1

    - #### collectAndResolveSubtypes

          public abstract Collection<NamedType> collectAndResolveSubtypes(AnnotatedClass basetype,
                                                        MapperConfig<?> config,
                                                        AnnotationIntrospector ai)

      Method for finding out all reachable subtypes for given type.

Copyright © 2014 FasterXML. All Rights Reserved.